SQLITE3_USER_DATA(3) | Library Functions Manual | SQLITE3_USER_DATA(3)

# NAME

`sqlite3_user_data` —
User Data For Functions

# SYNOPSIS

void *
`sqlite3_user_data`(sqlite3_context*);

# DESCRIPTION

The sqlite3_user_data() interface returns a copy of the pointer that was the pUserData parameter (the 5th parameter) of the sqlite3_create_function() and sqlite3_create_function16() routines that originally registered the application defined function.

This routine must be called from the same thread in which the application-defined function is running.

# SEE ALSO

sqlite3_create_function(3)

December 19, 2018 | NetBSD 9.0